# task_get_result.cpp File Reference

`#include <saga/saga/task.hpp>`
`#include <saga/saga/advert.hpp>`
`#include <saga/saga/adaptors/task.hpp>`
`#include <saga/saga/detail/task_get_result_impl.hpp>`

## Namespaces
namespace | saga
## Functions
template saga::advert::entry & | saga::task::get_result< saga::advert::entry > ()
template saga::advert::directory & | saga::task::get_result< saga::advert::directory > ()
template saga::object & | saga::task::get_result< saga::object > ()